colossalai.zero.shard\_utils
============================

.. automodule:: colossalai.zero.shard_utils
   :members:


.. toctree::
   :maxdepth: 2

   colossalai.zero.shard_utils.base_shard_strategy
   colossalai.zero.shard_utils.bucket_tensor_shard_strategy
   colossalai.zero.shard_utils.commons
   colossalai.zero.shard_utils.tensor_shard_strategy
